matrix:
  platform:
    - debian10
    - ubuntu2004
    - macos
    - macos_arm64
    - windows
  bazel:
    - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - "@opencc"
bcr_test_module:
  module_path: ""
  matrix:
    platform:
      - debian10
      - ubuntu2004
      - macos
      - macos_arm64
    bazel:
      - 7.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_targets:
        - "@opencc//src/..."
        - "@opencc//data/..."
        - "@opencc//test/..."
